Package org.eclipse.gef.fx

# Class FxBundle

java.lang.Object
org.eclipse.gef.fx.FxBundle

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

public class FxBundle extends Object implements org.osgi.framework.BundleActivator
The `BundleActivator` for the FX bundle.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PLUGIN_ID`
The plug-in id of the FX bundle.

## Constructor Summary

Constructors
Constructor
Description
`FxBundle()`

## Method Summary

Modifier and Type
Method
Description
`static org.osgi.framework.BundleContext`
`getContext()`
If the bundle has been started, returns the `BundleContext` associated to it.
`void`
`start(org.osgi.framework.BundleContext bundleContext)`
`void`
`stop(org.osgi.framework.BundleContext bundleContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PLUGIN_ID

public static final String PLUGIN_ID
The plug-in id of the FX bundle.

See Also:
  - Constant Field Values

## Constructor Details

### FxBundle

public FxBundle()

## Method Details

### getContext

public static org.osgi.framework.BundleContext getContext()
If the bundle has been started, returns the `BundleContext` associated to it.

Returns:
  The `BundleContext` of the module if this bundle was started (`start(BundleContext)`) and has since not been stopped ( `stop(BundleContext)`), `null` otherwise.

### start

public void start(org.osgi.framework.BundleContext bundleContext) throws Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Throws:
  `Exception`

### stop

public void stop(org.osgi.framework.BundleContext bundleContext) throws Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Throws:
  `Exception`